ALTER TABLE PLOVILA
 ADD REG_EXPIRE_DATE DATE
;

DROP TRIGGER M_DE_NA_ID_HASH_TRG
;

create or replace TRIGGER M_DE_NA_ID_HASH_INS_TRG
BEFORE INSERT
ON M_DE_NA
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
ID_HASH VARCHAR2(50);;
BEGIN
  SELECT ORA_HASH (:NEW.ID_DN || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
  :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
END;;
;

create or replace TRIGGER M_DE_NA_ID_HASH_UPD_TRG
BEFORE UPDATE
ON M_DE_NA
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
ID_HASH VARCHAR2(50);;
BEGIN
  IF (:NEW.ID_HASH IS NULL) THEN
    SELECT ORA_HASH (:NEW.ID_DN || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
    :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
  END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1472, SYSDATE, '5.5', 1392, 'Plovila.reg_expire_date')
;