DROP VIEW V_PAYMENT_TRANSACTION;

CREATE OR REPLACE VIEW V_PAYMENT_TRANSACTION AS (
SELECT PT.ID, PT.ID_LASTNIKA, PT.ACCOUNT_FROM, PT.ACCOUNT_TO, PT.AMOUNT, PT.CURRENCY_CODE, PT.TRANSACTION_DATE, PT.TRANSACTION_MESSAGE, PT.STATUS, 
PT.PAYMENT_NKNJIZBA, PT."COMMENT", PT.NNLOCATION_ID, PT.REFERENCE, PT.INVOICE_NUMBER, PT.NEW_INTERNAL_TRANSACTION, 
(SELECT SUM(S.ZA_PLACILO) FROM SALDKONT S, PAYMENT_TRANSACTION_SALDKONT PTS WHERE S.ID_SALDKONT = PTS.ID_SALDKONT AND PTS.ID_PAYMENT_TRANSACTION = PT.ID) AS APPLIED_AMOUNT,
KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, 
(CASE WHEN PT.ID_LASTNIKA IS NOT NULL THEN ((CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END)) ELSE NAME END) AS OWNER,
PKN.SLO AS PAYMENT_NKNJIZBA_OPIS, PKN.SALDKONT AS PAYMENT_NKNJIZBA_SALDKONT
FROM PAYMENT_TRANSACTION PT
LEFT OUTER JOIN KUPCI KU ON KU.ID = PT.ID_LASTNIKA
LEFT OUTER JOIN NKNJIZBA PKN ON PKN.NKNJIZBA = PT.PAYMENT_NKNJIZBA
);


DROP VIEW V_NCARD;

CREATE OR REPLACE VIEW V_NCARD AS (
SELECT N.NCARD, N.ID_LASTNIKA, N.ID_PLOVILA, N.VELJA_OD, N.VELJA_DO, N.SERIALNUMBER, N.NCARD_TYPE, N."COMMENT", N.STATUS, N.NNLOCATION_ID,
NCT.OPIS AS NCARD_TYPE_OPIS, NCT.INTERNI_OPIS AS NCARD_TYPE_INTERNI_OPIS, P.IME AS PLOVILA_IME, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, 
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
(SELECT S.N_RACUNA FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN ('POS', 'RAC') AND S.STORNO IS NULL AND ROWNUM <= 1) AS INVOICE_NUMBER,
(SELECT SUM(S.ZA_PLACILO) FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN ('POS', 'RAC') AND (S.STORNO IS NULL OR S.STORNO <> 'D')) AS INVOICE_VALUE,
(SELECT SUM(S.ZA_PLACILO-S.PORABLJENO) FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN (SELECT NK.SALDKONT FROM NKNJIZBA NK WHERE NK.DEPOSIT = 'Y')) AS DEPOSIT_VALUE,
(SELECT SUM(ABS(S.ZA_PLACILO)) FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN (SELECT NK.SALDKONT FROM NKNJIZBA NK WHERE NK.REFUND = 'Y')) AS REFUND_VALUE
FROM NCARD N
LEFT OUTER JOIN NCARD_TYPE NCT ON NCT.ID = N.NCARD_TYPE
LEFT OUTER JOIN KUPCI K ON K.ID = N.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = N.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1577, SYSDATE, '5.5', 1497, 'Views correction')
;