ALTER TABLE WAITLIST
  ADD OWNER_TYPE VARCHAR2(30 CHAR)
;

DROP VIEW V_WAITLIST
;

CREATE OR REPLACE VIEW V_WAITLIST AS (
SELECT W.ID_WAITLIST, W.NNLOCATION_ID, W.ID_LASTNIKA, W.ID_PLOVILA, W.ID_TYPE, W.AREA, W.ID_PRIVEZ, W.DATE_FROM, W.DATE_TO, W.LENGTH_OF_STAY, W.STATUS, W.DATE_CREATED, W.USER_CREATED, W.USER_COMMENT,
WT.DESCRIPTION AS TYPE_DESCRIPTION, P.IME AS BOAT_NAME, NT.OPIS AS BOAT_TYPE, P.DOLZINA AS BOAT_LENGTH, P.SIRINA AS BOAT_WIDTH, W.BERTH_LENGTH_DESC, NO.OPIS AS AREA_DESCRIPTION, NP.N_PRIVEZA AS BERTH_DESCRIPTION,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER, 
VK.OPIS AS OWNER_TYPE_DESCRIPTION, W.OWNER_TYPE AS OWNER_TYPE, VS.OPIS AS OWNER_SUBTYPE_DESCRIPTION, K.SUBTYPE AS OWNER_SUBTYPE
FROM WAITLIST W
LEFT OUTER JOIN WAITLIST_TYPE WT ON WT.ID_WAITLIST_TYPE = W.ID_TYPE
LEFT OUTER JOIN PLOVILA P ON P.ID = W.ID_PLOVILA
LEFT OUTER JOIN KUPCI K ON K.ID = W.ID_LASTNIKA
LEFT OUTER JOIN NNOBJEKT NO ON NO.SIFRA = W.AREA
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = W.ID_PRIVEZ 
LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = P.NTIP
LEFT OUTER JOIN NNVRSKUP VK ON VK.SIFRA = W.OWNER_TYPE
LEFT OUTER JOIN NNVRSKUP VS ON VS.SIFRA = K.SUBTYPE
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1848, SYSDATE, '5.5', 1768, 'Waitlist')
;
